<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Sčítačka HELLO WORLD</title>
    <style>
      body {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-family: sans-serif;
      }
      .error {
        color: red;
      }
    </style>
  </head>
  <body>
    <div id="main">
      <h1>Sčítání HELLO FOOBAR</h1>
      <form action="/" method="post">
        <input type="number" name="numA" id="numA">
        <input type="number" name="numB" id="numB">
        <button type="submit">Sečti</button>
      </form>
      {% if result %}
      <p>Výsledek je {{ result }}.</p>
      {% endif %}
      {% if error %}
      <p class="error">{{ error }}</p>
      {% endif %}
    </div>
  </body>
</html>
